Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: rhcs

Tunables Interfaces Templates

### Description:

Red Hat Cluster Suite.

### Tunables:

fenced_can_network_connect

##### Default value

false

##### Description

Determine whether fenced can connect to the TCP network.

fenced_can_ssh

##### Default value

false

##### Description

Determine whether fenced can use ssh.

Return

### Interfaces:

rhcs_admin( domain , role )

##### Summary

All of the rules required to administrate an rhcs environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rhcs_domtrans_dlm_controld( domain )

##### Summary

Execute a domain transition to run dlm_controld.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhcs_domtrans_fenced( domain )

##### Summary

Execute a domain transition to run fenced.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhcs_domtrans_gfs_controld( domain )

##### Summary

Execute a domain transition to run gfs_controld.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhcs_domtrans_groupd( domain )

##### Summary

Execute a domain transition to run groupd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhcs_domtrans_qdiskd( domain )

##### Summary

Execute a domain transition to run qdiskd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rhcs_getattr_fenced_exec_files( domain )

##### Summary

Get attributes of fenced executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_cluster_semaphores( domain )

##### Summary

Read and write all cluster domains semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_cluster_shm( domain )

##### Summary

Read and write all cluster domains shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_dlm_controld_semaphores( domain )

##### Summary

Read and write dlm_controld semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_fenced_semaphores( domain )

##### Summary

Read and write fenced semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_gfs_controld_semaphores( domain )

##### Summary

Read and write gfs_controld semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_gfs_controld_shm( domain )

##### Summary

Read and write gfs_controld_t shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_groupd_semaphores( domain )

##### Summary

Read and write groupd semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_rw_groupd_shm( domain )

##### Summary

Read and write groupd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_stream_connect_cluster( domain )

##### Summary

Connect to all cluster domains with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_stream_connect_dlm_controld( domain )

##### Summary

Connect to dlm_controld with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_stream_connect_fenced( domain )

##### Summary

Connect to fenced with an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_stream_connect_gfs_controld( domain )

##### Summary

Connect to gfs_controld_t with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhcs_stream_connect_groupd( domain )

##### Summary

Connect to groupd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

rhcs_domain_template( domain_prefix )

##### Summary

The template to define a rhcs domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return